Subject: AW: Please Help: system() Bug in cygnus-2.7.2-970404
From: [email-masked] (Emrich Michael QI/LBS3-Rt)

12 Feb 1998 10:52:51 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>
Cc: "'Keet / Foxbird'" <[email-masked]>

Hello,

I compiled the same program on my machine (NT4.0 SP3 / Intel Pentium) with
the Microsoft C++ Compiler 4.0. It runs
without any errors 1024 times.
#include <stdio.h>
main()
{  
  char syscmd[124];
  int i=0;

  for(i=0;i<1024;i++) {
    sprintf(syscmd,"echo %d",i);
    system(syscmd);
  }
}

With regards

Michael Emrich
_________________________________________________________
Robert Bosch GmbH ; QI/LBS3-Rt; Postfach 1342; 72703 Reutlingen
Tel: (07121)/35-3261; Fax: -3150; Internet: [email-masked]

> -----Ursprüngliche Nachricht-----
> Von:	Keet / Foxbird [SMTP:[email-masked]]
> Gesendet am:	Donnerstag, 12. Februar 1998 02:23
> An:	Emrich Michael (QI/LBS3-Rt); [email-masked]'
> Betreff:	Re: Please Help: system() Bug in cygnus-2.7.2-970404
> 
> At 04:07 PM 2/11/98 +0100, Emrich Michael (QI/LBS3-Rt) wrote:
> >Hello,
> >when you call system() more than 98 times you get the following message.
> 
> <snip>
> 
> Despite a warning about implicit calling of the 'system(...)' function, it
> compiled fine under gcc and g++. When I ran it.. It went past the number
> 98
> and up into the hundreds. Perhaps it's computer related, or perhaps
> there's
> a bug in the memory handling routines? (I've noticed similiar things
> calling MALLOC too many times, or doing millions of string manipulations
> in
> short amounts of time). Just thought I'd let you know it's more confusing
> than we could have imagined.
> 
> - Keet / Foxbird
>   [email-masked]
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".